Subject: Re: [PATCH v2 4/7] config: add --fixed-value option, un-implemented

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Nov 2020 11:30:40 -0800

Eric Sunshine <[email-masked]> writes:

> On Wed, Nov 25, 2020 at 9:09 AM Derrick Stolee <[email-masked]> wrote:
>> On 11/23/2020 5:41 PM, Junio C Hamano wrote:
>> > Update the document and help text with s/value_regex/value_pattern/
>> > and say "use value_pattern as a fixed string, not an extended regexp",
>> > perhaps?
>>
>> If I go about changing all documentation and error messages to say
>> "value_pattern" instead of "value_regex", should I also update the uses
>> in the *.po translation files? Or, should I leave them unmodified to
>> trigger manual intervention by the translators?
>
> A minor request: If you are going to put in the work to make that
> substitution, perhaps change it to "value-pattern" rather than
> "value_pattern" since a hyphen is more common in documentation for
> this sort of thing than underscore.

Yup, I misspoke.  s/value_regex/value-regex/ unless it is a variable
name where '-' cannot appear.